///////////////////////////////////////////////////////////////////////////////////
// One Code
// (C) 2012 あかつきみさき（みくちぃP）
// 
// このスクリプトについて
//  プロンプトに入力したJavaScript(jsx)を実行します.
//  入力した内容はtry-catchを経由します.
//  
// 動作環境
//  Adobe After Effects CS5以上
//  環境によっては正しく動作しない可能性があります.
// 
// 使用方法
//  「ファイル→スクリプト→スクリプトファイルの実行」からスクリプトを実行してください.
// 
// バージョン情報
//  2012/12/10 Ver 1.0.0 Release
///////////////////////////////////////////////////////////////////////////////////

(function(){
    // グローバルオブジェクト設定
    var ma_onecode = {
        scriptName : "One Code",
        scriptVersionNumber : "1.0.0",
        scriptVersionURL : "100",
        scriptVersion : "Version " + this.scriptVersionNumber,
        scriptURLName : "Onecode"
    };
    
//////////////USER VARIABLES/////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
    // デフォルトで表示させたいコードを入力します.
    ma_onecode.defCode = 'alert("Hello world", "test alert");';
/////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
    
    // バージョン判定
    if(parseFloat(app.version) < 7){
        alert("This script requires After Effects 7.0 or greater.", ma_onecode.scriptName);
        return;
    }
    
    // Undo処理後,try-catchで判定後実行
    app.beginUndoGroup(ma_onecode.scriptName);
    try{
        eval(prompt("One Code\nRun JavaScript(jsx)", ma_onecode.defCode, ma_onecode.scriptName));
    }catch(err){
        alert(err, ma_onecode.scriptName);
    }
    app.endUndoGroup();
})();
